<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSavedSearchRequest StructType
 * @subpackage Structs
 */
class GetSavedSearchRequest extends AbstractStructBase
{
    /**
     * The record
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \StructType\GetSavedSearchRecord
     */
    public $record;
    /**
     * Constructor method for GetSavedSearchRequest
     * @uses GetSavedSearchRequest::setRecord()
     * @param \StructType\GetSavedSearchRecord $record
     */
    public function __construct(\StructType\GetSavedSearchRecord $record = null)
    {
        $this
            ->setRecord($record);
    }
    /**
     * Get record value
     * @return \StructType\GetSavedSearchRecord
     */
    public function getRecord()
    {
        return $this->record;
    }
    /**
     * Set record value
     * @param \StructType\GetSavedSearchRecord $record
     * @return \StructType\GetSavedSearchRequest
     */
    public function setRecord(\StructType\GetSavedSearchRecord $record = null)
    {
        $this->record = $record;
        return $this;
    }
}
